Last Comment Bug 751278 - Horizontal scroll doesn't appear when jQuery UI datepicker used
: Horizontal scroll doesn't appear when jQuery UI datepicker used
Status: RESOLVED FIXED
[fixed by bug 749935][qa+]
: regression, reproducible
Product: Core
Classification: Components
Component: Layout (show other bugs)
: 12 Branch
: x86_64 All
: -- normal (vote)
: mozilla15
Assigned To: Mats Palmgren (:mats)
:
Mentors:
: 754247 (view as bug list)
Depends on: 749935
Blocks: 665597
  Show dependency treegraph
 
Reported: 2012-05-02 11:41 PDT by Adam Carheden
Modified: 2012-06-14 18:18 PDT (History)
13 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
verified
-
verified
+
verified


Attachments
ff12_datepicker.html (19.45 KB, text/html)
2012-05-02 11:41 PDT, Adam Carheden
no flags Details
Testcase (1.37 KB, text/html)
2012-05-08 15:44 PDT, Mats Palmgren (:mats)
no flags Details

Description Adam Carheden 2012-05-02 11:41:12 PDT
Created attachment 620404 [details]
ff12_datepicker.html

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Build ID: 20120420145725

Steps to reproduce:

Viewed the attached ff12_datepicker.html


Actual results:

Horizontal scroll bar didn't appear even though table overflowed page width until one of the jQuery datepicker elements was activated.

Viewed same page in Chrome, IE and FF11. Paged worked as expected in those browsers.


Expected results:

Horizontal scroll bar should have appeared when page loaded.

This is possibly a dupe of 750323.
Comment 1 Alice0775 White 2012-05-02 19:49:51 PDT
Regression window(m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/0b4c58200e3a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120117 Firefox/12.0a1 ID:20120117042508
Fails:
http://hg.mozilla.org/mozilla-central/rev/ff1bedd7d463
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120117 Firefox/12.0a1 ID:20120117072408
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0b4c58200e3a&tochange=ff1bedd7d463

Regression window(m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/7ea3311b5e6c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120116 Firefox/12.0a1 ID:20120116145408
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/3077b729dfd5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120116 Firefox/12.0a1 ID:20120116153908
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=7ea3311b5e6c&tochange=3077b729dfd5


Last good: 804c80adda0a
First bad: 87536f378706
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-05-03 13:38:25 PDT
Requesting tracking for the regression....
Comment 3 Alex Keybl [:akeybl] 2012-05-08 13:21:39 PDT
roc - can you find an assignee for this reproducible regression? Thanks!
Comment 4 Mats Palmgren (:mats) 2012-05-08 15:27:54 PDT
I'll take a look...
Comment 5 Mats Palmgren (:mats) 2012-05-08 15:44:46 PDT
Created attachment 622178 [details]
Testcase

The jquery.datepicker script inserts a <div> with style:
.ui-helper-hidden-accessible { position: absolute; left: -99999999px; }

Reducing the left offset by a magnitude makes the scrollbar display.

So this is basically a dupe of bug 749935.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-05-16 17:16:01 PDT
untracking in favour of bug 749935 which is awaiting nominations for landing to beta/aurora.
Comment 7 Mats Palmgren (:mats) 2012-05-25 13:08:06 PDT
*** Bug 754247 has been marked as a duplicate of this bug. ***
Comment 8 Scoobidiver (away) 2012-05-25 23:29:02 PDT
The patch of bug 749935 landed in 13.0 and 14.0.
Comment 9 Virgil Dicu [:virgil] [QA] 2012-05-30 02:45:32 PDT
Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0

Verified using attachment test case in Ubuntu 12.04, Mac OS 10.6, Windows 7. Firefox 13 beta 6. Horizontal bar is displayed as expected.
Comment 10 Thomas W 2012-05-30 15:44:00 PDT
I've just experienced this as well. Use of jQuery UI Datepicker on page, prevents Firefox from displaying horizontal scrollbar -- needed in this app's UI for viewing/editing a very wide table.

Thanks 'iop' for his CSS patch;  reducing the magnitude  of 'negative left hiding' to -9999999, rather than -99999999  (7 nines rather than 8).
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-30 16:21:35 PDT
Thomas, what build did you test? This is supposed to be fixed now in Firefox 13.0b6, latest-mozilla-aurora, and latest-mozilla-central. It is not fixed in Firefox 12 and earlier, nor will it be.
Comment 12 Virgil Dicu [:virgil] [QA] 2012-06-14 06:49:49 PDT
Mozilla/5.0 (X11; Linux i686; rv:15.0) Gecko/20120614 Firefox/15.0a2
Mozilla/5.0 (X11; Linux i686; rv:14.0) Gecko/20100101 Firefox/14.0

Verified using attachment test case on Firefox 14b7, Aurora on Ubuntu 12.04, Mac OS 10.6, Windows XP. Horizontal bar is displayed.
Comment 13 Thomas W 2012-06-14 18:18:47 PDT
Hi Anthony, yes that was at 12.  Just letting you know this is occuring in the wild; JQuery components use these large -ve positions to hide, so the bug is relevant to a good number of users.

Note You need to log in before you can comment on or make changes to this bug.